const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':')
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}
const getQueryString = (name, url)=> {
  var subIndex = url.substr(url.indexOf('?'));
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  var r = subIndex.substr(1).match(reg);
  if (r != null) return unescape(r[2]);
  return null;
} 

module.exports = {
  formatTime: formatTime,
  getQueryString: getQueryString
}
